% S-IFISS
% Version 1.04                    07-July-2017
% Copyright (c) 2015 A. Bespalov, C.E. Powell, D.J. Silvester
%
% Files
%   helpme_sifiss            - S-IFISS interactive help
%   helpme_stoch_diffusion   - stochastic diffusion problem interactive help
%   m_sdiff                  - stochastic scalar problem exact mean based preconditioner
%   readme_sifiss            - readme
%   sifiss                   - returns S-IFISS version number
%   srecall                  - query the current stochastic problem in the workspace
%   stoch_channel_diff       - solves stochastic diffusion problem in channel flow domain 
%   stoch_channel_domain     - rectangular shaped domain Q2 grid generator
%   stoch_diff_referror      - energy error using stochastic reference solution
%   stoch_diffpost_q1_xqx    - computes XQX error estimator for stochastic Q1 solution
%   stoch_diffpost_q1_ypx    - computes YPX error estimator for stochastic Q1 solution
%   stoch_diffpost_q1_yqx    - computes YQX error estimator for stochastic Q1 solution
%   stoch_edgeres_q1_ypx     - computes YPX edge residuals for stochastic Q1 solution
%   stoch_edgeres_q1_yqx     - computes YQX edge residuals for stochastic Q1 solution
%   stoch_ell_diff           - solves stochastic diffusion problem in L-shaped domain 
%   stoch_errplot_q1         - plots stochastic solution data on rectangular domain 
%   stoch_errplot_q2         - plots solution data on rectangular domain for Q2 elements
%   stoch_errplotl_q1        - plots stochastic solution data on L-shaped domain 
%   stoch_est_minres         - MINRES for stochastic diffusion problems with discretization error estimation
%   stoch_femq1_diff         - stochastic coefficient matrix generation using kron
%   stoch_femq1_setup        - assembled bilinear stochastic coefficient matrix generator
%   stoch_femq2_diff         - vectorized biquadratic stochastic coefficient matrix generator
%   stoch_gauss_coeff        - evaluates stochastic coefficient at Gauss point
%   stoch_gauss_gradcoeff    - evaluates gradient of the stochastic coefficient at Gauss point
%   stoch_gauss_source       - evaluates stochastic source term at Gauss point 
%   stoch_gmatrices_new      - generates detail set stochastic G-matrices
%   stoch_imposebc           - imposes Dirichlet boundary condition for stochastic problem
%   stoch_intres_q1_yp       - computes YP elementwise interior residuals for stochastic Q1 solution
%   stoch_intres_q1_yq       - computes YQ elementwise interior residuals for stochastic Q1 solution
%   stoch_kl_eigens          - computes KL eigenvalues for the covariance function
%   stoch_matvec             - efficient matvec for sum of kronecker product matrices
%   stoch_nonzerobc          - imposes Dirichlet boundary condition for stochastic problem
%   stoch_rhs_multipliers    - generates the vector of non-zero multipliers for the RHS of linear system
%   stoch_specific_bc        - zero boundary condition 
%   stoch_specific_coeff     - synthetic stochastic diffusion coefficient
%   stoch_specific_gradcoeff - gradient of synthetic stochastic diffusion coefficient 
%   stoch_specific_rhs       - unit deterministic RHS forcing function
%   stoch_square_diff        - solves stochastic diffusion problem in square shaped domain
%   stoch_variance           - computes the variance of the stochastic solution
%   install_sifiss           - installation instructions
%   sifiss_pc                - install on Windows computer
%   stoch_femq2_setup        - assembled biquadratic stochastic coefficient matrix generator
%   sbatchmode               - enables batch processing for S-IFISS testproblem
%   stoch_test_wellposedness - Computes lower bound of the KL-type stochastic diffusion coefficient
%   octave_sifiss            - Octave information
%   rsquare_domain           - reference square domain Q2 grid generator
%   stoch_est_ritz           - determines adaptive stopping criteria for STOCH_EST_MINRES
%   usquare_domain           - (0,1)x(0,1) square domain Q2 grid generator
%   genindex                 - builds index sets for multivariable polynomials
%   stoch_diffpost_q2_xqx    - computes XQX error estimator for stochastic Q2 solution
%   stoch_diffpost_q2_ypx    - computes YPX error estimator for stochastic Q2 solution
%   stoch_diffpost_q2_yqx    - computes YQX error estimator for stochastic Q2 solution
%   stoch_diffpostx          - a posteriori estimated error distribution 
%   stoch_edgeres_q2_ypx     - computes YPX edge residuals for stochastic Q2 solution
%   stoch_edgeres_q2_yqx     - computes YQX edge residuals for stochastic Q2 solution
%   stoch_errplot_q2x        - plots Q2 stochastic solution data on rectangular domain
%   stoch_intres_q2_yp       - computes YP elementwise interior residuals for stochastic Q2 solution
%   stoch_intres_q2_yq       - computes YQ elementwise interior residuals for stochastic Q2 solution
%   stoch_gmatrices          - generates stochastic G-matrices
%   stoch_indset             - fast computation of total degree index set
