%stoch_diff_testproblem    sets up stochastic diffusion reference problem 
%   SIFISS scriptfile: DJS; 1 April 2015.
% Copyright (c) 2013 A. Bespalov, C.E. Powell, D.J. Silvester
fprintf('\nspecification of reference stochastic diffusion problem.')
fprintf('\nchoose specific example');
fprintf('\n     1  L-shaped domain, synthetic random coefficient, constant source')
fprintf('\n     2  Square domain [-1,1] x [-1,1], analytic KL expansion, non-constant source');
fprintf('\n     3  channel domain, analytic KL expansion, trivial mean solution')
fprintf('\n     4                                         nontrivial mean solution')
fprintf('\n     5  Square domain [0,1] x [0,1], Eigel synthetic random coefficient, constant source')
fprintf('\n     6                              Powell synthetic random coefficient, constant source \n')
sn = default('',1);
if ~exist('checkcode','var'), checkcode=0; end %set checkcode=1 for debug run
if  checkcode==1; fprintf('code checking is enabled'),end
%
gohome, cd stoch_diffusion
if sn==1
system('/bin/cp ./test_problems/stoch_coeff_ex1.m ./stoch_specific_coeff.m');
system('/bin/cp ./test_problems/stoch_gradcoeff_ex1.m ./stoch_specific_gradcoeff.m');
system('/bin/cp ./test_problems/stoch_unit_rhs.m ./stoch_specific_rhs.m');
system('/bin/cp ./test_problems/stoch_zero_bc.m ./stoch_specific_bc.m');
 rd_type = 0;  ell_domain, stoch_ell_diff
elseif sn==2
system('/bin/cp ./test_problems/stoch_coeff_ex2.m ./stoch_specific_coeff.m');
system('/bin/cp ./test_problems/stoch_gradcoeff_ex2.m ./stoch_specific_gradcoeff.m');
system('/bin/cp ./test_problems/stoch_rhs_ex2.m ./stoch_specific_rhs.m');
%% system('/bin/cp ./test_problems/stoch_unit_rhs.m ./stoch_specific_rhs.m');
system('/bin/cp ./test_problems/stoch_zero_bc.m ./stoch_specific_bc.m');
 rd_type = 1; rsquare_domain, stoch_square_diff
elseif sn==3
system('/bin/cp ./test_problems/stoch_coeff_ex2.m ./stoch_specific_coeff.m');
system('/bin/cp ./test_problems/stoch_gradcoeff_ex2.m ./stoch_specific_gradcoeff.m');
system('/bin/cp ./test_problems/stoch_zero_rhs.m ./stoch_specific_rhs.m');
system('/bin/cp ./test_problems/stoch_channel_bc.m ./stoch_specific_bc.m');
 rd_type = 1;  stoch_channel_domain, stoch_channel_diff
elseif sn==4
system('/bin/cp ./test_problems/stoch_coeff_ex2.m ./stoch_specific_coeff.m');
system('/bin/cp ./test_problems/stoch_gradcoeff_ex2.m ./stoch_specific_gradcoeff.m');
system('/bin/cp ./test_problems/stoch_zero_rhs.m ./stoch_specific_rhs.m');
system('/bin/cp ./test_problems/stoch_xchannel_bc.m ./stoch_specific_bc.m');
 rd_type = 1;  stoch_channel_domain, stoch_channel_diff
elseif sn==5
system('/bin/cp ./test_problems/stoch_coeff_ex5.m ./stoch_specific_coeff.m');
system('/bin/cp ./test_problems/stoch_gradcoeff_ex5.m ./stoch_specific_gradcoeff.m');
system('/bin/cp ./test_problems/stoch_unit_rhs.m ./stoch_specific_rhs.m');
system('/bin/cp ./test_problems/stoch_zero_bc.m ./stoch_specific_bc.m');
 rd_type = 2; usquare_domain, stoch_square_diff
elseif sn==6
system('/bin/cp ./test_problems/stoch_coeff_ex6.m ./stoch_specific_coeff.m');
system('/bin/cp ./test_problems/stoch_gradcoeff_ex6.m ./stoch_specific_gradcoeff.m');
system('/bin/cp ./test_problems/stoch_unit_rhs.m ./stoch_specific_rhs.m');
system('/bin/cp ./test_problems/stoch_zero_bc.m ./stoch_specific_bc.m');
rd_type = 3; usquare_domain, stoch_square_diff
else
   error('reference problem datafile not found!')
end

