function bc = stoch_specific_bc(xbd,ybd,norv)
%STOCH_SPECIFIC_BC stochastic channel flow boundary condition 
%   bc = stoch_specific_bc(xbd,ybd);
%   input
%          xbd          x boundary coordinate vector
%          ybd          y boundary coordinate vector 
%          norv         number of random variables
%
%   SIFISS function: DJS; 18 March 2013.
% Copyright (c) 2013 A. Bespalov, C.E. Powell, D.J. Silvester
nobd=length(xbd);
detbc=zeros(size(xbd));
xmin=min(xbd);
k=find(xbd==xmin);
detbc(k)=ybd(k);
bc=[detbc,zeros(length(xbd),norv)];
return
